//
//  part.h - part class header file
//
//  $Id: part.h 46 2014-02-07 00:49:32Z brian $ 
//
//  Copyright (c) 1999-2014 by Precision Micro Control Corp. All rights reserved.
//
#ifndef PART_H
#define PART_H

/// <summary>
/// Part document class
/// </summary>
class CPart : public CDocument
{
	DECLARE_DYNCREATE(CPart)

protected:
	/// <summary>Constructor (create from serialization only).</summary>
	CPart() {}

public:
	/// <summary>Destructor.</summary>
	virtual ~CPart() {}

	/// <summary>Serialization handler.</summary>
	/// <param name="ar">Archive to use.</param>
	virtual void				Serialize(CArchive& ar);   // overridden for document i/o

#ifdef _DEBUG
	/// <summary>Debug frame check handler.</summary>
	virtual void				AssertValid() const { CDocument::AssertValid(); }
	/// <summary>Debug context dump handler.</summary>
	virtual void				Dump(CDumpContext& dc) const { CDocument::Dump(dc); }
#endif

protected:
	/// <summary>New document message handler.</summary>
	virtual BOOL				OnNewDocument();
	/// <summary>File load message handler.</summary>
	afx_msg void				OnFileLoad();

	DECLARE_MESSAGE_MAP()
};

#endif			// PART_H
